summaryrefslogtreecommitdiffstats
path: root/audio/helm
diff options
context:
space:
mode:
author Zbigniew Baniewski <Zbigniew [dot] Baniewski [at] gmail [dot] com>2018-12-15 07:50:26 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-12-15 07:50:26 +0700
commitac74d898939e1473d9c21a2a024c5892b48372ee (patch)
tree993268f17004cff07aaaa4f3fb51e9caf629bda2 /audio/helm
parentca2703577e4c8ee2a48314cecb0c5e84601d43dc (diff)
downloadslackbuilds-ac74d898939e1473d9c21a2a024c5892b48372ee.tar.gz
slackbuilds-ac74d898939e1473d9c21a2a024c5892b48372ee.tar.xz
audio/helm: Added (software synthesiser).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio/helm')
-rw-r--r--audio/helm/0001-doc-fix.patch27
-rw-r--r--audio/helm/README4
-rw-r--r--audio/helm/doinst.sh3
-rw-r--r--audio/helm/helm.SlackBuild84
-rw-r--r--audio/helm/helm.info10
-rw-r--r--audio/helm/slack-desc19
6 files changed, 147 insertions, 0 deletions
diff --git a/audio/helm/0001-doc-fix.patch b/audio/helm/0001-doc-fix.patch
new file mode 100644
index 0000000000..70d52182dd
--- /dev/null
+++ b/audio/helm/0001-doc-fix.patch
@@ -0,0 +1,27 @@
+diff -Nur helm-0.9.0/Makefile helm-0.9.0.new/Makefile
+--- helm-0.9.0/Makefile 2017-07-08 23:40:42.000000000 +0200
++++ helm-0.9.0.new/Makefile 2018-12-13 00:48:34.637977851 +0100
+@@ -40,7 +40,6 @@
+ IMAGES = $(SYSDATA)/icons
+ PATCHES = $(SYSDATA)/patches
+ MAN = $(DESTDIR)/usr/share/man/man1/
+-CHANGES = $(DESTDIR)/usr/share/doc/$(PROGRAM)/
+ DESKTOP = $(DESTDIR)/usr/share/applications/
+
+ ICONS = $(DESTDIR)/usr/share/icons/hicolor/
+@@ -96,14 +95,13 @@
+ cp -rf patches/* $(PATCHES)
+
+ install_standalone: standalone install_patches install_icons
+- install -d $(BIN) $(IMAGES) $(MAN) $(CHANGES) $(DESKTOP)
++ install -d $(BIN) $(IMAGES) $(MAN) $(DESKTOP)
+ install standalone/builds/linux/build/$(PROGRAM) $(BIN)
+ install -m644 standalone/helm.desktop $(DESKTOP)/helm.desktop
+ install -m644 images/* $(IMAGES)
+ cp changelog changes
+ gzip -n -9 changelog
+ mv changes changelog
+- mv changelog.gz $(CHANGES)/changelog.gz
+ cp docs/helm.1.gz $(MAN)
+
+ install_lv2: lv2 install_patches
diff --git a/audio/helm/README b/audio/helm/README
new file mode 100644
index 0000000000..476425cdaa
--- /dev/null
+++ b/audio/helm/README
@@ -0,0 +1,4 @@
+Helm is a free, cross-platform, polyphonic synthesizer that runs on
+GNU/Linux, Mac, and Windows as a standalone program and as a LV2/VST/AU/AAX
+plugin. Release is in beta so there are outstanding bugs. Please send any
+bugs found to matthewtytel@gmail.com
diff --git a/audio/helm/doinst.sh b/audio/helm/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/audio/helm/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/audio/helm/helm.SlackBuild b/audio/helm/helm.SlackBuild
new file mode 100644
index 0000000000..08667d4ace
--- /dev/null
+++ b/audio/helm/helm.SlackBuild
@@ -0,0 +1,84 @@
+#!/bin/sh
+
+# Slackware build script for helm
+
+# Written by Zbigniew Baniewski, <Zbigniew [dot] Baniewski [at] gmail [dot] com>
+
+PRGNAM=helm
+VERSION=${VERSION:-0.9.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar zxvf $CWD/${PRGNAM}-${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# CFLAGS="$SLKCFLAGS" \
+# CXXFLAGS="$SLKCFLAGS" \
+# ./configure
+
+# No need for /usr/doc/helm
+cat $CWD/0001-doc-fix.patch | patch -p1 || exit 1
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr/
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a changelog COPYING \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a docs/helm_manual.pdf docs/thank_you.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/helm/helm.info b/audio/helm/helm.info
new file mode 100644
index 0000000000..e881996d48
--- /dev/null
+++ b/audio/helm/helm.info
@@ -0,0 +1,10 @@
+PRGNAM="helm"
+VERSION="0.9.0"
+HOMEPAGE="https://tytel.org/helm/"
+DOWNLOAD="https://github.com/mtytel/helm/archive/v0.9.0/helm-0.9.0.tar.gz"
+MD5SUM="c65c2a2f3ce7f1ffd030adc88c088212"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jack-audio-connection-kit"
+MAINTAINER="Zbigniew Baniewski"
+EMAIL="Zbigniew [dot] Baniewski [at] gmail [dot] com"
diff --git a/audio/helm/slack-desc b/audio/helm/slack-desc
new file mode 100644
index 0000000000..15d70c461c
--- /dev/null
+++ b/audio/helm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+helm: helm (software synthesiser)
+helm:
+helm: Helm is a software synthesizer. You use it to create electronic
+helm: music on your computer.
+helm: Helm runs in GNU/Linux, Mac OSX and Windows.
+helm: Run Helm as a standalone synthesizer or as an LV2, VST, VST3 or
+helm: AU plugin. Comes in both 32-bit and 64-bit versions.
+helm:
+helm: https://tytel.org/helm/
+helm:
+helm: